Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 231772

Summary: Review Request: Siege - Siege is an http regression testing and benchmarking utility
Product: [Fedora] Fedora Reporter: Allisson Azevedo <allisson>
Component: Package ReviewAssignee: Aurelien Bompard <gauret>
Status: CLOSED ERRATA QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: christof, denis
Target Milestone: ---Flags: gauret: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: siege-3.0.0-2.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-27 12:49:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Allisson Azevedo 2007-03-11 15:35:56 UTC
Spec URL: http://fedora.allisson.eti.br/siege.spec
SRPM URL: http://fedora.allisson.eti.br/siege-2.65-1.src.rpm

Description: Siege is an http regression testing and benchmarking utility.
It was designed to let web developers measure the performance of their code
under duress, to see how it will stand up to load on the internet.
Siege supports basic authentication, cookies, HTTP and HTTPS protocols.
It allows the user hit a web server with a configurable number of concurrent
simulated users. Those users place the webserver "under siege."

Comment 1 Aurelien Bompard 2007-03-27 11:17:34 UTC
Review for release 1.fc6:
* RPM name is OK
* Source siege-2.65.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Config file looks OK
* Works as expected
(33 checks have been run)

APPROVED

Minor:
* Don't add to %doc the following files:
  - INSTALL (irrelvant, installed by RPM)
  - README.solaris
Please change that after or before importing.

Comment 2 Allisson Azevedo 2007-03-27 12:46:44 UTC
Update package:

Spec URL: http://fedora.allisson.eti.br/siege/siege.spec
SRPM URL: http://fedora.allisson.eti.br/siege/siege-2.65-2.src.rpm


Comment 3 Allisson Azevedo 2007-03-27 12:49:13 UTC
New Package CVS Request
=======================
Package Name: siege
Short Description: http regression testing and benchmarking utility
Owners: allisson@gmail.com
Branches: FC-7


Comment 4 Jens Petersen 2007-03-27 12:57:02 UTC
devel branch made (there is no FC-7 yet)

Comment 5 Christof Damian 2010-07-04 11:27:38 UTC
Package Change Request
======================
Package Name: siege
New Branches: EL-6
Owners: cdamian

Comment 6 Kevin Fenzi 2010-07-05 01:39:02 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Denis Fateyev 2014-02-08 19:55:10 UTC
Package Change Request
======================
Package Name: siege
New Branches: el5 el6 epel7
Owners: cdamian dfateyev
InitialCC:

Comment 8 Gwyn Ciesla 2014-02-10 13:57:37 UTC
Git done (by process-git-requests).

EL-6 and epel7 already exist.

Comment 9 Fedora Update System 2014-02-18 21:18:29 UTC
siege-3.0.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/siege-3.0.0-2.el5

Comment 10 Fedora Update System 2014-03-08 21:01:43 UTC
siege-3.0.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.